Summary: Intel PRO/Wireless 3945ABG/3945BG driver for Linux
Name: ipw3945
Epoch: 1
Version: 1.2.1
Release: 3%{?dist}
License: GPL/BSD
Group: System Environment/Kernel
URL: http://ipw3945.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ipw3945/%{name}-%{version}.tgz
Source1: ipw3945-script
Source2: ipw3945-ifcfg
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

provides: ipw3945-kmod-common = 1:%{version}
Requires: ipw3945-kmod = 1:%{version}
Requires: ipw3945-ucode >= 1.13 
Requires: ipw3945d >= 1.7.22
#Obsoletes: ieee80211-kmod-common <= 1.2.16
#Provides: ieee80211-kmod-common = 0:1.1.13
#Obsoletes: ieee80211-kmod <= 1.2.16
#Provides: ieee80211-kmod = 0:1.1.13
BuildArch: noarch

Requires(pre): /sbin/chkconfig
Requires(post): /sbin/chkconfig


%description 
This package contains kernel drivers for the Intel PRO/Wireless 3945.


%prep
%setup -q 


%build

%install
rm -rf %{buildroot}
cat > ipw3945.modprobe << EOF
# ipw3945 wireless modprobe
# options ipw3945 rtap_iface=1
install ipw3945 /sbin/modprobe --ignore-install ipw3945 ; sleep 0.5 ; /sbin/ipw3945d --timeout=-1 --quiet
remove ipw3945  /sbin/ipw3945d --kill ; /sbin/modprobe -r --ignore-remove ipw3945
alias eth1 ipw3945
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/
mkdir -p $RPM_BUILD_ROOT%{_initrddir}/

install -p -m 0644 ipw3945.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/ipw3945
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/ipw3945
install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts/ifcfg-eth1


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* LICENSE* ISSUES CHANGES
%config(noreplace) %{_sysconfdir}/modprobe.d/ipw3945
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifcfg-eth1
%{_initrddir}/ipw3945

%post
if [ $1 -eq 1 ]; then
# Add init script and but don't start it
  /sbin/chkconfig --add ipw3945 ||:
# /etc/init.d/ipw3945 start &>/dev/null ||:
fi

%preun
if [ $1 -eq 0 ]; then
# Disable driver on final removal
    %{_initrddir}/ipw3945 stop &>/dev/null
    /sbin/chkconfig --del ipw3945 ||:
fi

%changelog
* Mon May 28 2007 kwizart < kwizart at gmail.com > - 1:1.2.1-3
- Default is to uses eth1

* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 1:1.2.0-2
- Drop ieee80211 reference
- Update to 1.2.1
- Fix old modprobe.d options (from FC-5)

* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 1:1.2.0-1
- Update to 1.2.0
- Don't start the init script at post
- Using Epoch

* Thu Dec 28 2006 kwizart < kwizart at gmail.com > - 1.1.3-1
- Update to 1.1.3

* Thu Dec 07 2006 kwizart < kwizart at gmail.com > - 1.1.2-3.fc6
- Update post and preun to conform to the standart rules.

* Tue Dec 05 2006 kwizart < kwizart at gmail.com > - 1.1.2-2.fc6
- Script allow chkconfig

* Sat Nov 25 2006 kwizart < kwizart at gmail.com > - 1.1.2-1.fc6
- Update to 1.1.2
- Enable Monitor mode.
- ipw3945d start at boot time. The script is from Alberto Federico Turelli.
 http://www.atworkonline.it/~bibe/etch/ipw3945 is version 0.0.1-1  01-Apr-2006

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0-2_FC5
- Update build (ieee80211 1.2.15)

* Tue Jul 4 2006 kwizart at < fedora-france.org >
- switch to non-atrpms .spec format
- Update to 1.1.14

* Fri Mar 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.13.

